Bug 219958 - Certain networking (eg: wireless) drivers requiring more than 4k stack
Certain networking (eg: wireless) drivers requiring more than 4k stack
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 14:12 EST by Gerry Reno
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 19:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2006-12-17 14:12:02 EST
Description of problem:
Certain networking drivers are requiring more than 4k stack size.  Many users do
not know (and probably never will) how to build a custom kernel with increased
stack size so they can get their networking drivers working.  Suggest that the
stack size in the default kernels in the distributions be increased to probably 16k.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2006-12-18 23:03:31 EST
You neglected to point to a single example of a driver requiring excessive
amounts of stack.   If one exists, it needs to be fixed, not band-aided around
with ugly hacks.

(And NDISWrapper doesn't count as a 'driver' btw).
Comment 2 Gerry Reno 2006-12-20 21:39:08 EST
Ok, the one that I am familiar with is the Broadcom wireless driver bcm43xx
which I personally have not been able to get working with the xen kernel.  I
also went looking for more information and came across this page at Linuxant:
http://www.linuxant.com/driverloader/wlan/full/downloads-fc6-i686.php
As you can see they are even distributing modified FC6 kernels in order to try
to help people get their wireless cards working and stable.  The forums are full
of lengthy discussion on this issue as people are struggling to get wireless
workin  If Broadcom who has a big chunk of the market needs more stack size,
then Redhat needs to have a conversation with them as to why that is necessary
and either Broadcom or Redhat needs to make some adjustment.  Just telling
people that they need a custom kernel to get wireless working isn't a good solution.
Comment 3 Dave Jones 2006-12-22 19:38:11 EST
I see no evidence of excessive stack usage in bcm43xx.

What other vendors decide to do with their kernels is irrelevant to the Fedora
kernel.  The Fedora kernel isn't changing to accomodate the ease of use of
binary drivers.

Note You need to log in before you can comment on or make changes to this bug.